View Issue Details

IDProjectCategoryView StatusLast Update
14855Bug reports[All Projects] Survey takingpublic2019-05-29 16:39
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14855: Allowed invalid completed survey + full index send false error about did not save
Description

With a survey with full index + an hidden equation quetsion ate end : admin user receive a Did not save error (and a JS warning)

Steps To Reproduce

Import included survey,
Replace email to receive the error
Start survey, submit
Come back to admin page, reload : see the error.

Additional Information

There are another issue here : the JS must be shown in completed page too. But it's another issue ;)

PS : i'm sure at 96% it work in 2.73

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.2 github
I will donate to the project if issue is resolvedNo
BrowserFF 66
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)nginx
PHP Versionphp7.2

Relationships

related to 09906 closedDenisChenu Invalid survey is set finished in response table with index complete 

Activities

DenisChenu

DenisChenu

2019-05-07 16:55

developer  

survey_archive_submitError.lsa (4,179 bytes)
DenisChenu

DenisChenu

2019-05-10 23:00

developer   ~51897

Ok, and error shown is not the baddest behavior.
Import included survey , activate
Launch, goes to Group 3
Close survey
Look at Response : last response is submitted as invalid

DenisChenu

DenisChenu

2019-05-10 23:03

developer  

survey_archive_fullIndexSubmitted.lsa (4,153 bytes)
DenisChenu

DenisChenu

2019-05-10 23:09

developer   ~51898

https://github.com/LimeSurvey/LimeSurvey/commit/49237af44f162e584c2ac931b06a22d973e27150

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52183

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28902

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52217

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 49237af4

2019-05-10 23:08:55

DenisChenu

Details Diff
Fixed issue 14855: Allowed invalid completed survey with full index
Dev: Maybe better in EM, but more potential issue inside EM
Dev: Reset to null before validate Survey again
Affected Issues
14855
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2019-05-07 16:55 DenisChenu New Issue
2019-05-07 16:55 DenisChenu File Added: Capture d’écran du 2019-05-07 16-48-16.png
2019-05-07 16:55 DenisChenu File Added: survey_archive_submitError.lsa
2019-05-08 11:02 DenisChenu Assigned To => DenisChenu
2019-05-08 11:02 DenisChenu Status new => assigned
2019-05-10 23:00 DenisChenu Note Added: 51897
2019-05-10 23:01 DenisChenu Summary Survey with full index send false error about did not save => Allowed invalid completed survey + full index send false error about did not save
2019-05-10 23:01 DenisChenu Relationship added related to 09906
2019-05-10 23:03 DenisChenu File Added: survey_archive_fullIndexSubmitted.lsa
2019-05-10 23:09 DenisChenu Status assigned => resolved
2019-05-10 23:09 DenisChenu Resolution open => fixed
2019-05-10 23:09 DenisChenu Fixed in Version => 3.17.x
2019-05-10 23:09 DenisChenu Note Added: 51898
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master 49237af4
2019-05-29 16:12 DenisChenu Note Added: 52183
2019-05-29 16:39 c_schmitz Note Added: 52217
2019-05-29 16:39 c_schmitz Status resolved => closed